/[CvsGraph]/cvsgraph/configure
ViewVC logotype

Annotate of /cvsgraph/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.2 - (show annotations)
Sat Feb 24 00:31:03 2001 UTC (16 years, 7 months ago) by bertho
Branch: MAIN
CVS Tags: REL_1_0_1
Changes since 1.1: +205 -58 lines
Updated configuration with config header
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --with-gd=DIR location of the gd lib/inc"
16 ac_help="$ac_help
17 --with-z=DIR location of zlib lib/inc"
18 ac_help="$ac_help
19 --with-png=DIR location of png lib/inc"
20
21 # Initialize some variables set by options.
22 # The variables have the same names as the options, with
23 # dashes changed to underlines.
24 build=NONE
25 cache_file=./config.cache
26 exec_prefix=NONE
27 host=NONE
28 no_create=
29 nonopt=NONE
30 no_recursion=
31 prefix=NONE
32 program_prefix=NONE
33 program_suffix=NONE
34 program_transform_name=s,x,x,
35 silent=
36 site=
37 srcdir=
38 target=NONE
39 verbose=
40 x_includes=NONE
41 x_libraries=NONE
42 bindir='${exec_prefix}/bin'
43 sbindir='${exec_prefix}/sbin'
44 libexecdir='${exec_prefix}/libexec'
45 datadir='${prefix}/share'
46 sysconfdir='${prefix}/etc'
47 sharedstatedir='${prefix}/com'
48 localstatedir='${prefix}/var'
49 libdir='${exec_prefix}/lib'
50 includedir='${prefix}/include'
51 oldincludedir='/usr/include'
52 infodir='${prefix}/info'
53 mandir='${prefix}/man'
54
55 # Initialize some other variables.
56 subdirs=
57 MFLAGS= MAKEFLAGS=
58 SHELL=${CONFIG_SHELL-/bin/sh}
59 # Maximum number of lines to put in a shell here document.
60 ac_max_here_lines=12
61
62 ac_prev=
63 for ac_option
64 do
65
66 # If the previous option needs an argument, assign it.
67 if test -n "$ac_prev"; then
68 eval "$ac_prev=\$ac_option"
69 ac_prev=
70 continue
71 fi
72
73 case "$ac_option" in
74 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
75 *) ac_optarg= ;;
76 esac
77
78 # Accept the important Cygnus configure options, so we can diagnose typos.
79
80 case "$ac_option" in
81
82 -bindir | --bindir | --bindi | --bind | --bin | --bi)
83 ac_prev=bindir ;;
84 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
85 bindir="$ac_optarg" ;;
86
87 -build | --build | --buil | --bui | --bu)
88 ac_prev=build ;;
89 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
90 build="$ac_optarg" ;;
91
92 -cache-file | --cache-file | --cache-fil | --cache-fi \
93 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
94 ac_prev=cache_file ;;
95 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
96 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
97 cache_file="$ac_optarg" ;;
98
99 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
100 ac_prev=datadir ;;
101 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
102 | --da=*)
103 datadir="$ac_optarg" ;;
104
105 -disable-* | --disable-*)
106 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
107 # Reject names that are not valid shell variable names.
108 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
109 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
110 fi
111 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
112 eval "enable_${ac_feature}=no" ;;
113
114 -enable-* | --enable-*)
115 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
116 # Reject names that are not valid shell variable names.
117 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
118 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
119 fi
120 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
121 case "$ac_option" in
122 *=*) ;;
123 *) ac_optarg=yes ;;
124 esac
125 eval "enable_${ac_feature}='$ac_optarg'" ;;
126
127 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
128 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
129 | --exec | --exe | --ex)
130 ac_prev=exec_prefix ;;
131 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
132 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
133 | --exec=* | --exe=* | --ex=*)
134 exec_prefix="$ac_optarg" ;;
135
136 -gas | --gas | --ga | --g)
137 # Obsolete; use --with-gas.
138 with_gas=yes ;;
139
140 -help | --help | --hel | --he)
141 # Omit some internal or obsolete options to make the list less imposing.
142 # This message is too long to be a string in the A/UX 3.1 sh.
143 cat << EOF
144 Usage: configure [options] [host]
145 Options: [defaults in brackets after descriptions]
146 Configuration:
147 --cache-file=FILE cache test results in FILE
148 --help print this message
149 --no-create do not create output files
150 --quiet, --silent do not print \`checking...' messages
151 --version print the version of autoconf that created configure
152 Directory and file names:
153 --prefix=PREFIX install architecture-independent files in PREFIX
154 [$ac_default_prefix]
155 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
156 [same as prefix]
157 --bindir=DIR user executables in DIR [EPREFIX/bin]
158 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
159 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
160 --datadir=DIR read-only architecture-independent data in DIR
161 [PREFIX/share]
162 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
163 --sharedstatedir=DIR modifiable architecture-independent data in DIR
164 [PREFIX/com]
165 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
166 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
167 --includedir=DIR C header files in DIR [PREFIX/include]
168 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
169 --infodir=DIR info documentation in DIR [PREFIX/info]
170 --mandir=DIR man documentation in DIR [PREFIX/man]
171 --srcdir=DIR find the sources in DIR [configure dir or ..]
172 --program-prefix=PREFIX prepend PREFIX to installed program names
173 --program-suffix=SUFFIX append SUFFIX to installed program names
174 --program-transform-name=PROGRAM
175 run sed PROGRAM on installed program names
176 EOF
177 cat << EOF
178 Host type:
179 --build=BUILD configure for building on BUILD [BUILD=HOST]
180 --host=HOST configure for HOST [guessed]
181 --target=TARGET configure for TARGET [TARGET=HOST]
182 Features and packages:
183 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
184 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
185 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
186 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
187 --x-includes=DIR X include files are in DIR
188 --x-libraries=DIR X library files are in DIR
189 EOF
190 if test -n "$ac_help"; then
191 echo "--enable and --with options recognized:$ac_help"
192 fi
193 exit 0 ;;
194
195 -host | --host | --hos | --ho)
196 ac_prev=host ;;
197 -host=* | --host=* | --hos=* | --ho=*)
198 host="$ac_optarg" ;;
199
200 -includedir | --includedir | --includedi | --included | --include \
201 | --includ | --inclu | --incl | --inc)
202 ac_prev=includedir ;;
203 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
204 | --includ=* | --inclu=* | --incl=* | --inc=*)
205 includedir="$ac_optarg" ;;
206
207 -infodir | --infodir | --infodi | --infod | --info | --inf)
208 ac_prev=infodir ;;
209 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
210 infodir="$ac_optarg" ;;
211
212 -libdir | --libdir | --libdi | --libd)
213 ac_prev=libdir ;;
214 -libdir=* | --libdir=* | --libdi=* | --libd=*)
215 libdir="$ac_optarg" ;;
216
217 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
218 | --libexe | --libex | --libe)
219 ac_prev=libexecdir ;;
220 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
221 | --libexe=* | --libex=* | --libe=*)
222 libexecdir="$ac_optarg" ;;
223
224 -localstatedir | --localstatedir | --localstatedi | --localstated \
225 | --localstate | --localstat | --localsta | --localst \
226 | --locals | --local | --loca | --loc | --lo)
227 ac_prev=localstatedir ;;
228 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
229 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
230 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
231 localstatedir="$ac_optarg" ;;
232
233 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
234 ac_prev=mandir ;;
235 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
236 mandir="$ac_optarg" ;;
237
238 -nfp | --nfp | --nf)
239 # Obsolete; use --without-fp.
240 with_fp=no ;;
241
242 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
243 | --no-cr | --no-c)
244 no_create=yes ;;
245
246 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
247 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
248 no_recursion=yes ;;
249
250 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
251 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
252 | --oldin | --oldi | --old | --ol | --o)
253 ac_prev=oldincludedir ;;
254 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
255 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
256 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
257 oldincludedir="$ac_optarg" ;;
258
259 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
260 ac_prev=prefix ;;
261 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
262 prefix="$ac_optarg" ;;
263
264 -program-prefix | --program-prefix | --program-prefi | --program-pref \
265 | --program-pre | --program-pr | --program-p)
266 ac_prev=program_prefix ;;
267 -program-prefix=* | --program-prefix=* | --program-prefi=* \
268 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
269 program_prefix="$ac_optarg" ;;
270
271 -program-suffix | --program-suffix | --program-suffi | --program-suff \
272 | --program-suf | --program-su | --program-s)
273 ac_prev=program_suffix ;;
274 -program-suffix=* | --program-suffix=* | --program-suffi=* \
275 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
276 program_suffix="$ac_optarg" ;;
277
278 -program-transform-name | --program-transform-name \
279 | --program-transform-nam | --program-transform-na \
280 | --program-transform-n | --program-transform- \
281 | --program-transform | --program-transfor \
282 | --program-transfo | --program-transf \
283 | --program-trans | --program-tran \
284 | --progr-tra | --program-tr | --program-t)
285 ac_prev=program_transform_name ;;
286 -program-transform-name=* | --program-transform-name=* \
287 | --program-transform-nam=* | --program-transform-na=* \
288 | --program-transform-n=* | --program-transform-=* \
289 | --program-transform=* | --program-transfor=* \
290 | --program-transfo=* | --program-transf=* \
291 | --program-trans=* | --program-tran=* \
292 | --progr-tra=* | --program-tr=* | --program-t=*)
293 program_transform_name="$ac_optarg" ;;
294
295 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
296 | -silent | --silent | --silen | --sile | --sil)
297 silent=yes ;;
298
299 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
300 ac_prev=sbindir ;;
301 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
302 | --sbi=* | --sb=*)
303 sbindir="$ac_optarg" ;;
304
305 -sharedstatedir | --sharedstatedir | --sharedstatedi \
306 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
307 | --sharedst | --shareds | --shared | --share | --shar \
308 | --sha | --sh)
309 ac_prev=sharedstatedir ;;
310 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
311 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
312 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
313 | --sha=* | --sh=*)
314 sharedstatedir="$ac_optarg" ;;
315
316 -site | --site | --sit)
317 ac_prev=site ;;
318 -site=* | --site=* | --sit=*)
319 site="$ac_optarg" ;;
320
321 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
322 ac_prev=srcdir ;;
323 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
324 srcdir="$ac_optarg" ;;
325
326 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
327 | --syscon | --sysco | --sysc | --sys | --sy)
328 ac_prev=sysconfdir ;;
329 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
330 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
331 sysconfdir="$ac_optarg" ;;
332
333 -target | --target | --targe | --targ | --tar | --ta | --t)
334 ac_prev=target ;;
335 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
336 target="$ac_optarg" ;;
337
338 -v | -verbose | --verbose | --verbos | --verbo | --verb)
339 verbose=yes ;;
340
341 -version | --version | --versio | --versi | --vers)
342 echo "configure generated by autoconf version 2.13"
343 exit 0 ;;
344
345 -with-* | --with-*)
346 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
347 # Reject names that are not valid shell variable names.
348 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
349 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
350 fi
351 ac_package=`echo $ac_package| sed 's/-/_/g'`
352 case "$ac_option" in
353 *=*) ;;
354 *) ac_optarg=yes ;;
355 esac
356 eval "with_${ac_package}='$ac_optarg'" ;;
357
358 -without-* | --without-*)
359 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
360 # Reject names that are not valid shell variable names.
361 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
362 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
363 fi
364 ac_package=`echo $ac_package| sed 's/-/_/g'`
365 eval "with_${ac_package}=no" ;;
366
367 --x)
368 # Obsolete; use --with-x.
369 with_x=yes ;;
370
371 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
372 | --x-incl | --x-inc | --x-in | --x-i)
373 ac_prev=x_includes ;;
374 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
375 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
376 x_includes="$ac_optarg" ;;
377
378 -x-libraries | --x-libraries | --x-librarie | --x-librari \
379 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
380 ac_prev=x_libraries ;;
381 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
382 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
383 x_libraries="$ac_optarg" ;;
384
385 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
386 ;;
387
388 *)
389 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
390 echo "configure: warning: $ac_option: invalid host type" 1>&2
391 fi
392 if test "x$nonopt" != xNONE; then
393 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
394 fi
395 nonopt="$ac_option"
396 ;;
397
398 esac
399 done
400
401 if test -n "$ac_prev"; then
402 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
403 fi
404
405 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
406
407 # File descriptor usage:
408 # 0 standard input
409 # 1 file creation
410 # 2 errors and warnings
411 # 3 some systems may open it to /dev/tty
412 # 4 used on the Kubota Titan
413 # 6 checking for... messages and results
414 # 5 compiler messages saved in config.log
415 if test "$silent" = yes; then
416 exec 6>/dev/null
417 else
418 exec 6>&1
419 fi
420 exec 5>./config.log
421
422 echo "\
423 This file contains any messages produced by compilers while
424 running configure, to aid debugging if configure makes a mistake.
425 " 1>&5
426
427 # Strip out --no-create and --no-recursion so they do not pile up.
428 # Also quote any args containing shell metacharacters.
429 ac_configure_args=
430 for ac_arg
431 do
432 case "$ac_arg" in
433 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
434 | --no-cr | --no-c) ;;
435 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
436 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
437 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
438 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
439 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
440 esac
441 done
442
443 # NLS nuisances.
444 # Only set these to C if already set. These must not be set unconditionally
445 # because not all systems understand e.g. LANG=C (notably SCO).
446 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
447 # Non-C LC_CTYPE values break the ctype check.
448 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
449 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
450 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
451 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
452
453 # confdefs.h avoids OS command line length limits that DEFS can exceed.
454 rm -rf conftest* confdefs.h
455 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
456 echo > confdefs.h
457
458 # A filename unique to this package, relative to the directory that
459 # configure is in, which we can look for to find out if srcdir is correct.
460 ac_unique_file=cvsgraph.c
461
462 # Find the source files, if location was not specified.
463 if test -z "$srcdir"; then
464 ac_srcdir_defaulted=yes
465 # Try the directory containing this script, then its parent.
466 ac_prog=$0
467 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
468 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
469 srcdir=$ac_confdir
470 if test ! -r $srcdir/$ac_unique_file; then
471 srcdir=..
472 fi
473 else
474 ac_srcdir_defaulted=no
475 fi
476 if test ! -r $srcdir/$ac_unique_file; then
477 if test "$ac_srcdir_defaulted" = yes; then
478 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
479 else
480 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
481 fi
482 fi
483 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
484
485 # Prefer explicitly selected file to automatically selected ones.
486 if test -z "$CONFIG_SITE"; then
487 if test "x$prefix" != xNONE; then
488 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
489 else
490 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
491 fi
492 fi
493 for ac_site_file in $CONFIG_SITE; do
494 if test -r "$ac_site_file"; then
495 echo "loading site script $ac_site_file"
496 . "$ac_site_file"
497 fi
498 done
499
500 if test -r "$cache_file"; then
501 echo "loading cache $cache_file"
502 . $cache_file
503 else
504 echo "creating cache $cache_file"
505 > $cache_file
506 fi
507
508 ac_ext=c
509 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
510 ac_cpp='$CPP $CPPFLAGS'
511 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
512 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
513 cross_compiling=$ac_cv_prog_cc_cross
514
515 ac_exeext=
516 ac_objext=o
517 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
518 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
519 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
520 ac_n= ac_c='
521 ' ac_t=' '
522 else
523 ac_n=-n ac_c= ac_t=
524 fi
525 else
526 ac_n= ac_c='\c' ac_t=
527 fi
528
529
530
531
532 # Extract the first word of "gcc", so it can be a program name with args.
533 set dummy gcc; ac_word=$2
534 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
535 echo "configure:536: checking for $ac_word" >&5
536 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
537 echo $ac_n "(cached) $ac_c" 1>&6
538 else
539 if test -n "$CC"; then
540 ac_cv_prog_CC="$CC" # Let the user override the test.
541 else
542 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
543 ac_dummy="$PATH"
544 for ac_dir in $ac_dummy; do
545 test -z "$ac_dir" && ac_dir=.
546 if test -f $ac_dir/$ac_word; then
547 ac_cv_prog_CC="gcc"
548 break
549 fi
550 done
551 IFS="$ac_save_ifs"
552 fi
553 fi
554 CC="$ac_cv_prog_CC"
555 if test -n "$CC"; then
556 echo "$ac_t""$CC" 1>&6
557 else
558 echo "$ac_t""no" 1>&6
559 fi
560
561 if test -z "$CC"; then
562 # Extract the first word of "cc", so it can be a program name with args.
563 set dummy cc; ac_word=$2
564 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
565 echo "configure:566: checking for $ac_word" >&5
566 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
567 echo $ac_n "(cached) $ac_c" 1>&6
568 else
569 if test -n "$CC"; then
570 ac_cv_prog_CC="$CC" # Let the user override the test.
571 else
572 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
573 ac_prog_rejected=no
574 ac_dummy="$PATH"
575 for ac_dir in $ac_dummy; do
576 test -z "$ac_dir" && ac_dir=.
577 if test -f $ac_dir/$ac_word; then
578 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
579 ac_prog_rejected=yes
580 continue
581 fi
582 ac_cv_prog_CC="cc"
583 break
584 fi
585 done
586 IFS="$ac_save_ifs"
587 if test $ac_prog_rejected = yes; then
588 # We found a bogon in the path, so make sure we never use it.
589 set dummy $ac_cv_prog_CC
590 shift
591 if test $# -gt 0; then
592 # We chose a different compiler from the bogus one.
593 # However, it has the same basename, so the bogon will be chosen
594 # first if we set CC to just the basename; use the full file name.
595 shift
596 set dummy "$ac_dir/$ac_word" "$@"
597 shift
598 ac_cv_prog_CC="$@"
599 fi
600 fi
601 fi
602 fi
603 CC="$ac_cv_prog_CC"
604 if test -n "$CC"; then
605 echo "$ac_t""$CC" 1>&6
606 else
607 echo "$ac_t""no" 1>&6
608 fi
609
610 if test -z "$CC"; then
611 case "`uname -s`" in
612 *win32* | *WIN32*)
613 # Extract the first word of "cl", so it can be a program name with args.
614 set dummy cl; ac_word=$2
615 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
616 echo "configure:617: checking for $ac_word" >&5
617 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
618 echo $ac_n "(cached) $ac_c" 1>&6
619 else
620 if test -n "$CC"; then
621 ac_cv_prog_CC="$CC" # Let the user override the test.
622 else
623 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
624 ac_dummy="$PATH"
625 for ac_dir in $ac_dummy; do
626 test -z "$ac_dir" && ac_dir=.
627 if test -f $ac_dir/$ac_word; then
628 ac_cv_prog_CC="cl"
629 break
630 fi
631 done
632 IFS="$ac_save_ifs"
633 fi
634 fi
635 CC="$ac_cv_prog_CC"
636 if test -n "$CC"; then
637 echo "$ac_t""$CC" 1>&6
638 else
639 echo "$ac_t""no" 1>&6
640 fi
641 ;;
642 esac
643 fi
644 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
645 fi
646
647 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
648 echo "configure:649: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
649
650 ac_ext=c
651 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
652 ac_cpp='$CPP $CPPFLAGS'
653 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
654 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
655 cross_compiling=$ac_cv_prog_cc_cross
656
657 cat > conftest.$ac_ext << EOF
658
659 #line 660 "configure"
660 #include "confdefs.h"
661
662 main(){return(0);}
663 EOF
664 if { (eval echo configure:665: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
665 ac_cv_prog_cc_works=yes
666 # If we can't run a trivial program, we are probably using a cross compiler.
667 if (./conftest; exit) 2>/dev/null; then
668 ac_cv_prog_cc_cross=no
669 else
670 ac_cv_prog_cc_cross=yes
671 fi
672 else
673 echo "configure: failed program was:" >&5
674 cat conftest.$ac_ext >&5
675 ac_cv_prog_cc_works=no
676 fi
677 rm -fr conftest*
678 ac_ext=c
679 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
680 ac_cpp='$CPP $CPPFLAGS'
681 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
682 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
683 cross_compiling=$ac_cv_prog_cc_cross
684
685 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
686 if test $ac_cv_prog_cc_works = no; then
687 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
688 fi
689 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
690 echo "configure:691: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
691 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
692 cross_compiling=$ac_cv_prog_cc_cross
693
694 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
695 echo "configure:696: checking whether we are using GNU C" >&5
696 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
697 echo $ac_n "(cached) $ac_c" 1>&6
698 else
699 cat > conftest.c <<EOF
700 #ifdef __GNUC__
701 yes;
702 #endif
703 EOF
704 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:705: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
705 ac_cv_prog_gcc=yes
706 else
707 ac_cv_prog_gcc=no
708 fi
709 fi
710
711 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
712
713 if test $ac_cv_prog_gcc = yes; then
714 GCC=yes
715 else
716 GCC=
717 fi
718
719 ac_test_CFLAGS="${CFLAGS+set}"
720 ac_save_CFLAGS="$CFLAGS"
721 CFLAGS=
722 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
723 echo "configure:724: checking whether ${CC-cc} accepts -g" >&5
724 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
725 echo $ac_n "(cached) $ac_c" 1>&6
726 else
727 echo 'void f(){}' > conftest.c
728 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
729 ac_cv_prog_cc_g=yes
730 else
731 ac_cv_prog_cc_g=no
732 fi
733 rm -f conftest*
734
735 fi
736
737 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
738 if test "$ac_test_CFLAGS" = set; then
739 CFLAGS="$ac_save_CFLAGS"
740 elif test $ac_cv_prog_cc_g = yes; then
741 if test "$GCC" = yes; then
742 CFLAGS="-g -O2"
743 else
744 CFLAGS="-g"
745 fi
746 else
747 if test "$GCC" = yes; then
748 CFLAGS="-O2"
749 else
750 CFLAGS=
751 fi
752 fi
753
754 # Extract the first word of "flex", so it can be a program name with args.
755 set dummy flex; ac_word=$2
756 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
757 echo "configure:758: checking for $ac_word" >&5
758 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
759 echo $ac_n "(cached) $ac_c" 1>&6
760 else
761 if test -n "$LEX"; then
762 ac_cv_prog_LEX="$LEX" # Let the user override the test.
763 else
764 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
765 ac_dummy="$PATH"
766 for ac_dir in $ac_dummy; do
767 test -z "$ac_dir" && ac_dir=.
768 if test -f $ac_dir/$ac_word; then
769 ac_cv_prog_LEX="flex"
770 break
771 fi
772 done
773 IFS="$ac_save_ifs"
774 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
775 fi
776 fi
777 LEX="$ac_cv_prog_LEX"
778 if test -n "$LEX"; then
779 echo "$ac_t""$LEX" 1>&6
780 else
781 echo "$ac_t""no" 1>&6
782 fi
783
784 if test -z "$LEXLIB"
785 then
786 case "$LEX" in
787 flex*) ac_lib=fl ;;
788 *) ac_lib=l ;;
789 esac
790 echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
791 echo "configure:792: checking for yywrap in -l$ac_lib" >&5
792 ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
793 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
794 echo $ac_n "(cached) $ac_c" 1>&6
795 else
796 ac_save_LIBS="$LIBS"
797 LIBS="-l$ac_lib $LIBS"
798 cat > conftest.$ac_ext <<EOF
799 #line 800 "configure"
800 #include "confdefs.h"
801 /* Override any gcc2 internal prototype to avoid an error. */
802 /* We use char because int might match the return type of a gcc2
803 builtin and then its argument prototype would still apply. */
804 char yywrap();
805
806 int main() {
807 yywrap()
808 ; return 0; }
809 EOF
810 if { (eval echo configure:811: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
811 rm -rf conftest*
812 eval "ac_cv_lib_$ac_lib_var=yes"
813 else
814 echo "configure: failed program was:" >&5
815 cat conftest.$ac_ext >&5
816 rm -rf conftest*
817 eval "ac_cv_lib_$ac_lib_var=no"
818 fi
819 rm -f conftest*
820 LIBS="$ac_save_LIBS"
821
822 fi
823 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
824 echo "$ac_t""yes" 1>&6
825 LEXLIB="-l$ac_lib"
826 else
827 echo "$ac_t""no" 1>&6
828 fi
829
830 fi
831
832 for ac_prog in 'bison -y' byacc
833 do
834 # Extract the first word of "$ac_prog", so it can be a program name with args.
835 set dummy $ac_prog; ac_word=$2
836 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
837 echo "configure:838: checking for $ac_word" >&5
838 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
839 echo $ac_n "(cached) $ac_c" 1>&6
840 else
841 if test -n "$YACC"; then
842 ac_cv_prog_YACC="$YACC" # Let the user override the test.
843 else
844 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
845 ac_dummy="$PATH"
846 for ac_dir in $ac_dummy; do
847 test -z "$ac_dir" && ac_dir=.
848 if test -f $ac_dir/$ac_word; then
849 ac_cv_prog_YACC="$ac_prog"
850 break
851 fi
852 done
853 IFS="$ac_save_ifs"
854 fi
855 fi
856 YACC="$ac_cv_prog_YACC"
857 if test -n "$YACC"; then
858 echo "$ac_t""$YACC" 1>&6
859 else
860 echo "$ac_t""no" 1>&6
861 fi
862
863 test -n "$YACC" && break
864 done
865 test -n "$YACC" || YACC="yacc"
866
867
868 # Check whether --with-gd or --without-gd was given.
869 if test "${with_gd+set}" = set; then
870 withval="$with_gd"
871 LDFLAGS="${LDFLAGS} -L${withval}"
872 CFLAGS="${CFLAGS} -I${withval}"
873
874 fi
875
876
877 # Check whether --with-z or --without-z was given.
878 if test "${with_z+set}" = set; then
879 withval="$with_z"
880 LDFLAGS="${LDFLAGS} -L${withval}"
881 CFLAGS="${CFLAGS} -I${withval}"
882
883 fi
884
885
886 # Check whether --with-png or --without-png was given.
887 if test "${with_png+set}" = set; then
888 withval="$with_png"
889 LDFLAGS="${LDFLAGS} -L${withval}"
890 CFLAGS="${CFLAGS} -I${withval}"
891
892 fi
893
894
895 LDFLAGS="${LDFLAGS} -lgd"
896
897
898 if test "x${GCC}" = "xyes"
899 then
900 CFLAGS="$CFLAGS -Wall"
901 echo $ac_n "checking "for gcc strength-reduce bug"""... $ac_c" 1>&6
902 echo "configure:903: checking "for gcc strength-reduce bug"" >&5
903 if eval "test \"`echo '$''{'ac_cv_c_gcc_strength_bug'+set}'`\" = set"; then
904 echo $ac_n "(cached) $ac_c" 1>&6
905 else
906 if test "$cross_compiling" = yes; then
907 ac_cv_c_gcc_strength_bug="yes"
908 else
909 cat > conftest.$ac_ext <<EOF
910 #line 911 "configure"
911 #include "confdefs.h"
912
913 int main(void) {
914 static int Array[3];
915 unsigned int B = 3;
916 int i;
917 for(i=0; i<B; i++) Array[i] = i - 3;
918 exit( Array[1] != -2 );
919 }
920 EOF
921 if { (eval echo configure:922: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
922 then
923 ac_cv_c_gcc_strength_bug="no"
924 else
925 echo "configure: failed program was:" >&5
926 cat conftest.$ac_ext >&5
927 rm -fr conftest*
928 ac_cv_c_gcc_strength_bug="yes"
929 fi
930 rm -fr conftest*
931 fi
932
933 fi
934
935 echo "$ac_t""$ac_cv_c_gcc_strength_bug" 1>&6
936 if test "$ac_cv_c_gcc_strength_bug" = "yes"
937 then
938 CFLAGS="$CFLAGS -fno-strength-reduce"
939 fi
940 fi
941
942
943 echo $ac_n "checking for sqrt in -lm""... $ac_c" 1>&6
944 echo "configure:945: checking for sqrt in -lm" >&5
945 ac_lib_var=`echo m'_'sqrt | sed 'y%./+-%__p_%'`
946 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
947 echo $ac_n "(cached) $ac_c" 1>&6
948 else
949 ac_save_LIBS="$LIBS"
950 LIBS="-lm $LIBS"
951 cat > conftest.$ac_ext <<EOF
952 #line 953 "configure"
953 #include "confdefs.h"
954 /* Override any gcc2 internal prototype to avoid an error. */
955 /* We use char because int might match the return type of a gcc2
956 builtin and then its argument prototype would still apply. */
957 char sqrt();
958
959 int main() {
960 sqrt()
961 ; return 0; }
962 EOF
963 if { (eval echo configure:964: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
964 rm -rf conftest*
965 eval "ac_cv_lib_$ac_lib_var=yes"
966 else
967 echo "configure: failed program was:" >&5
968 cat conftest.$ac_ext >&5
969 rm -rf conftest*
970 eval "ac_cv_lib_$ac_lib_var=no"
971 fi
972 rm -f conftest*
973 LIBS="$ac_save_LIBS"
974
975 fi
976 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
977 echo "$ac_t""yes" 1>&6
978
979 cat >> confdefs.h <<\EOF
980 #define LIBM 1
981 EOF
982
983 MATHLIBS="-lm"
984 else
985 echo "$ac_t""no" 1>&6
986 fi
987
988
989 echo $ac_n "checking for gdImageGif in -lgd""... $ac_c" 1>&6
990 echo "configure:991: checking for gdImageGif in -lgd" >&5
991 ac_lib_var=`echo gd'_'gdImageGif | sed 'y%./+-%__p_%'`
992 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
993 echo $ac_n "(cached) $ac_c" 1>&6
994 else
995 ac_save_LIBS="$LIBS"
996 LIBS="-lgd $LIBS"
997 cat > conftest.$ac_ext <<EOF
998 #line 999 "configure"
999 #include "confdefs.h"
1000 /* Override any gcc2 internal prototype to avoid an error. */
1001 /* We use char because int might match the return type of a gcc2
1002 builtin and then its argument prototype would still apply. */
1003 char gdImageGif();
1004
1005 int main() {
1006 gdImageGif()
1007 ; return 0; }
1008 EOF
1009 if { (eval echo configure:1010: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1010 rm -rf conftest*
1011 eval "ac_cv_lib_$ac_lib_var=yes"
1012 else
1013 echo "configure: failed program was:" >&5
1014 cat conftest.$ac_ext >&5
1015 rm -rf conftest*
1016 eval "ac_cv_lib_$ac_lib_var=no"
1017 fi
1018 rm -f conftest*
1019 LIBS="$ac_save_LIBS"
1020
1021 fi
1022 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1023 echo "$ac_t""yes" 1>&6
1024
1025 cat >> confdefs.h <<\EOF
1026 #define HAVE_IMAGE_GIF 1
1027 EOF
1028
1029
1030 else
1031 echo "$ac_t""no" 1>&6
1032 fi
1033
1034 echo $ac_n "checking for gdImagePng in -lgd""... $ac_c" 1>&6
1035 echo "configure:1036: checking for gdImagePng in -lgd" >&5
1036 ac_lib_var=`echo gd'_'gdImagePng | sed 'y%./+-%__p_%'`
1037 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1038 echo $ac_n "(cached) $ac_c" 1>&6
1039 else
1040 ac_save_LIBS="$LIBS"
1041 LIBS="-lgd $LIBS"
1042 cat > conftest.$ac_ext <<EOF
1043 #line 1044 "configure"
1044 #include "confdefs.h"
1045 /* Override any gcc2 internal prototype to avoid an error. */
1046 /* We use char because int might match the return type of a gcc2
1047 builtin and then its argument prototype would still apply. */
1048 char gdImagePng();
1049
1050 int main() {
1051 gdImagePng()
1052 ; return 0; }
1053 EOF
1054 if { (eval echo configure:1055: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1055 rm -rf conftest*
1056 eval "ac_cv_lib_$ac_lib_var=yes"
1057 else
1058 echo "configure: failed program was:" >&5
1059 cat conftest.$ac_ext >&5
1060 rm -rf conftest*
1061 eval "ac_cv_lib_$ac_lib_var=no"
1062 fi
1063 rm -f conftest*
1064 LIBS="$ac_save_LIBS"
1065
1066 fi
1067 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1068 echo "$ac_t""yes" 1>&6
1069
1070 cat >> confdefs.h <<\EOF
1071 #define HAVE_IMAGE_PNG 1
1072 EOF
1073
1074 LDFLAGS="$LDFLAGS -lpng -lz ${MATHLIBS}"
1075
1076 else
1077 echo "$ac_t""no" 1>&6
1078 fi
1079
1080 echo $ac_n "checking for gdImageJpeg in -lgd""... $ac_c" 1>&6
1081 echo "configure:1082: checking for gdImageJpeg in -lgd" >&5
1082 ac_lib_var=`echo gd'_'gdImageJpeg | sed 'y%./+-%__p_%'`
1083 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1084 echo $ac_n "(cached) $ac_c" 1>&6
1085 else
1086 ac_save_LIBS="$LIBS"
1087 LIBS="-lgd $LIBS"
1088 cat > conftest.$ac_ext <<EOF
1089 #line 1090 "configure"
1090 #include "confdefs.h"
1091 /* Override any gcc2 internal prototype to avoid an error. */
1092 /* We use char because int might match the return type of a gcc2
1093 builtin and then its argument prototype would still apply. */
1094 char gdImageJpeg();
1095
1096 int main() {
1097 gdImageJpeg()
1098 ; return 0; }
1099 EOF
1100 if { (eval echo configure:1101: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1101 rm -rf conftest*
1102 eval "ac_cv_lib_$ac_lib_var=yes"
1103 else
1104 echo "configure: failed program was:" >&5
1105 cat conftest.$ac_ext >&5
1106 rm -rf conftest*
1107 eval "ac_cv_lib_$ac_lib_var=no"
1108 fi
1109 rm -f conftest*
1110 LIBS="$ac_save_LIBS"
1111
1112 fi
1113 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1114 echo "$ac_t""yes" 1>&6
1115
1116 cat >> confdefs.h <<\EOF
1117 #define HAVE_IMAGE_JPEG 1
1118 EOF
1119
1120 LDFLAGS="$LDFLAGS -ljpeg"
1121
1122 else
1123 echo "$ac_t""no" 1>&6
1124 fi
1125
1126
1127
1128 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1129 echo "configure:1130: checking how to run the C preprocessor" >&5
1130 # On Suns, sometimes $CPP names a directory.
1131 if test -n "$CPP" && test -d "$CPP"; then
1132 CPP=
1133 fi
1134 if test -z "$CPP"; then
1135 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1136 echo $ac_n "(cached) $ac_c" 1>&6
1137 else
1138 # This must be in double quotes, not single quotes, because CPP may get
1139 # substituted into the Makefile and "${CC-cc}" will confuse make.
1140 CPP="${CC-cc} -E"
1141 # On the NeXT, cc -E runs the code through the compiler's parser,
1142 # not just through cpp.
1143 cat > conftest.$ac_ext <<EOF
1144 #line 1145 "configure"
1145 #include "confdefs.h"
1146 #include <assert.h>
1147 Syntax Error
1148 EOF
1149 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1150 { (eval echo configure:1151: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1151 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1152 if test -z "$ac_err"; then
1153 :
1154 else
1155 echo "$ac_err" >&5
1156 echo "configure: failed program was:" >&5
1157 cat conftest.$ac_ext >&5
1158 rm -rf conftest*
1159 CPP="${CC-cc} -E -traditional-cpp"
1160 cat > conftest.$ac_ext <<EOF
1161 #line 1162 "configure"
1162 #include "confdefs.h"
1163 #include <assert.h>
1164 Syntax Error
1165 EOF
1166 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1167 { (eval echo configure:1168: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1168 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1169 if test -z "$ac_err"; then
1170 :
1171 else
1172 echo "$ac_err" >&5
1173 echo "configure: failed program was:" >&5
1174 cat conftest.$ac_ext >&5
1175 rm -rf conftest*
1176 CPP="${CC-cc} -nologo -E"
1177 cat > conftest.$ac_ext <<EOF
1178 #line 1179 "configure"
1179 #include "confdefs.h"
1180 #include <assert.h>
1181 Syntax Error
1182 EOF
1183 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1184 { (eval echo configure:1185: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1185 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1186 if test -z "$ac_err"; then
1187 :
1188 else
1189 echo "$ac_err" >&5
1190 echo "configure: failed program was:" >&5
1191 cat conftest.$ac_ext >&5
1192 rm -rf conftest*
1193 CPP=/lib/cpp
1194 fi
1195 rm -f conftest*
1196 fi
1197 rm -f conftest*
1198 fi
1199 rm -f conftest*
1200 ac_cv_prog_CPP="$CPP"
1201 fi
1202 CPP="$ac_cv_prog_CPP"
1203 else
1204 ac_cv_prog_CPP="$CPP"
1205 fi
1206 echo "$ac_t""$CPP" 1>&6
1207
1208 ac_safe=`echo "gd.h" | sed 'y%./+-%__p_%'`
1209 echo $ac_n "checking for gd.h""... $ac_c" 1>&6
1210 echo "configure:1211: checking for gd.h" >&5
1211 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1212 echo $ac_n "(cached) $ac_c" 1>&6
1213 else
1214 cat > conftest.$ac_ext <<EOF
1215 #line 1216 "configure"
1216 #include "confdefs.h"
1217 #include <gd.h>
1218 EOF
1219 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1220 { (eval echo configure:1221: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1221 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1222 if test -z "$ac_err"; then
1223 rm -rf conftest*
1224 eval "ac_cv_header_$ac_safe=yes"
1225 else
1226 echo "$ac_err" >&5
1227 echo "configure: failed program was:" >&5
1228 cat conftest.$ac_ext >&5
1229 rm -rf conftest*
1230 eval "ac_cv_header_$ac_safe=no"
1231 fi
1232 rm -f conftest*
1233 fi
1234 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1235 echo "$ac_t""yes" 1>&6
1236 have_gd_h="yes"
1237 else
1238 echo "$ac_t""no" 1>&6
1239 have_gd_h="no"
1240 fi
1241
1242
1243 if test $have_gd_h != "yes"; then
1244 echo
1245 echo "** The GD library is required for CvsGraph to function."
1246 echo " Get it from http://www.boutell.com, compile it and"
1247 echo " use either --with-gd-lib=DIR and --with-gd-inc=DIR to specify"
1248 echo " its location. You might also have to use --with-z-inc, --with-z-lib"
1249 echo " and --with-png-inc, --with-png-lib for gd versions 1.6 and higher."
1250 echo " Check config.log for more information on the problem. If your system"
1251 echo " has libgd installed, you probably mis the gd.h header file."
1252 exit 1
1253 fi
1254
1255
1256 trap '' 1 2 15
1257 cat > confcache <<\EOF
1258 # This file is a shell script that caches the results of configure
1259 # tests run on this system so they can be shared between configure
1260 # scripts and configure runs. It is not useful on other systems.
1261 # If it contains results you don't want to keep, you may remove or edit it.
1262 #
1263 # By default, configure uses ./config.cache as the cache file,
1264 # creating it if it does not exist already. You can give configure
1265 # the --cache-file=FILE option to use a different cache file; that is
1266 # what configure does when it calls configure scripts in
1267 # subdirectories, so they share the cache.
1268 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1269 # config.status only pays attention to the cache file if you give it the
1270 # --recheck option to rerun configure.
1271 #
1272 EOF
1273 # The following way of writing the cache mishandles newlines in values,
1274 # but we know of no workaround that is simple, portable, and efficient.
1275 # So, don't put newlines in cache variables' values.
1276 # Ultrix sh set writes to stderr and can't be redirected directly,
1277 # and sets the high bit in the cache file unless we assign to the vars.
1278 (set) 2>&1 |
1279 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1280 *ac_space=\ *)
1281 # `set' does not quote correctly, so add quotes (double-quote substitution
1282 # turns \\\\ into \\, and sed turns \\ into \).
1283 sed -n \
1284 -e "s/'/'\\\\''/g" \
1285 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1286 ;;
1287 *)
1288 # `set' quotes correctly as required by POSIX, so do not add quotes.
1289 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1290 ;;
1291 esac >> confcache
1292 if cmp -s $cache_file confcache; then
1293 :
1294 else
1295 if test -w $cache_file; then
1296 echo "updating cache $cache_file"
1297 cat confcache > $cache_file
1298 else
1299 echo "not updating unwritable cache $cache_file"
1300 fi
1301 fi
1302 rm -f confcache
1303
1304 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1305
1306 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1307 # Let make expand exec_prefix.
1308 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1309
1310 # Any assignment to VPATH causes Sun make to only execute
1311 # the first set of double-colon rules, so remove it if not needed.
1312 # If there is a colon in the path, we need to keep it.
1313 if test "x$srcdir" = x.; then
1314 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1315 fi
1316
1317 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1318
1319 DEFS=-DHAVE_CONFIG_H
1320
1321 # Without the "./", some shells look in PATH for config.status.
1322 : ${CONFIG_STATUS=./config.status}
1323
1324 echo creating $CONFIG_STATUS
1325 rm -f $CONFIG_STATUS
1326 cat > $CONFIG_STATUS <<EOF
1327 #! /bin/sh
1328 # Generated automatically by configure.
1329 # Run this file to recreate the current configuration.
1330 # This directory was configured as follows,
1331 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1332 #
1333 # $0 $ac_configure_args
1334 #
1335 # Compiler output produced by configure, useful for debugging
1336 # configure, is in ./config.log if it exists.
1337
1338 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1339 for ac_option
1340 do
1341 case "\$ac_option" in
1342 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1343 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1344 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1345 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1346 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1347 exit 0 ;;
1348 -help | --help | --hel | --he | --h)
1349 echo "\$ac_cs_usage"; exit 0 ;;
1350 *) echo "\$ac_cs_usage"; exit 1 ;;
1351 esac
1352 done
1353
1354 ac_given_srcdir=$srcdir
1355
1356 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1357 EOF
1358 cat >> $CONFIG_STATUS <<EOF
1359
1360 # Protect against being on the right side of a sed subst in config.status.
1361 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1362 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1363 $ac_vpsub
1364 $extrasub
1365 s%@SHELL@%$SHELL%g
1366 s%@CFLAGS@%$CFLAGS%g
1367 s%@CPPFLAGS@%$CPPFLAGS%g
1368 s%@CXXFLAGS@%$CXXFLAGS%g
1369 s%@FFLAGS@%$FFLAGS%g
1370 s%@DEFS@%$DEFS%g
1371 s%@LDFLAGS@%$LDFLAGS%g
1372 s%@LIBS@%$LIBS%g
1373 s%@exec_prefix@%$exec_prefix%g
1374 s%@prefix@%$prefix%g
1375 s%@program_transform_name@%$program_transform_name%g
1376 s%@bindir@%$bindir%g
1377 s%@sbindir@%$sbindir%g
1378 s%@libexecdir@%$libexecdir%g
1379 s%@datadir@%$datadir%g
1380 s%@sysconfdir@%$sysconfdir%g
1381 s%@sharedstatedir@%$sharedstatedir%g
1382 s%@localstatedir@%$localstatedir%g
1383 s%@libdir@%$libdir%g
1384 s%@includedir@%$includedir%g
1385 s%@oldincludedir@%$oldincludedir%g
1386 s%@infodir@%$infodir%g
1387 s%@mandir@%$mandir%g
1388 s%@CC@%$CC%g
1389 s%@LEX@%$LEX%g
1390 s%@LEXLIB@%$LEXLIB%g
1391 s%@YACC@%$YACC%g
1392 s%@CPP@%$CPP%g
1393
1394 CEOF
1395 EOF
1396
1397 cat >> $CONFIG_STATUS <<\EOF
1398
1399 # Split the substitutions into bite-sized pieces for seds with
1400 # small command number limits, like on Digital OSF/1 and HP-UX.
1401 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1402 ac_file=1 # Number of current file.
1403 ac_beg=1 # First line for current file.
1404 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1405 ac_more_lines=:
1406 ac_sed_cmds=""
1407 while $ac_more_lines; do
1408 if test $ac_beg -gt 1; then
1409 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1410 else
1411 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1412 fi
1413 if test ! -s conftest.s$ac_file; then
1414 ac_more_lines=false
1415 rm -f conftest.s$ac_file
1416 else
1417 if test -z "$ac_sed_cmds"; then
1418 ac_sed_cmds="sed -f conftest.s$ac_file"
1419 else
1420 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1421 fi
1422 ac_file=`expr $ac_file + 1`
1423 ac_beg=$ac_end
1424 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1425 fi
1426 done
1427 if test -z "$ac_sed_cmds"; then
1428 ac_sed_cmds=cat
1429 fi
1430 EOF
1431
1432 cat >> $CONFIG_STATUS <<EOF
1433
1434 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1435 EOF
1436 cat >> $CONFIG_STATUS <<\EOF
1437 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1438 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1439 case "$ac_file" in
1440 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1441 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1442 *) ac_file_in="${ac_file}.in" ;;
1443 esac
1444
1445 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1446
1447 # Remove last slash and all that follows it. Not all systems have dirname.
1448 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1449 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1450 # The file is in a subdirectory.
1451 test ! -d "$ac_dir" && mkdir "$ac_dir"
1452 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1453 # A "../" for each directory in $ac_dir_suffix.
1454 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1455 else
1456 ac_dir_suffix= ac_dots=
1457 fi
1458
1459 case "$ac_given_srcdir" in
1460 .) srcdir=.
1461 if test -z "$ac_dots"; then top_srcdir=.
1462 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1463 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1464 *) # Relative path.
1465 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1466 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1467 esac
1468
1469
1470 echo creating "$ac_file"
1471 rm -f "$ac_file"
1472 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1473 case "$ac_file" in
1474 *Makefile*) ac_comsub="1i\\
1475 # $configure_input" ;;
1476 *) ac_comsub= ;;
1477 esac
1478
1479 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1480 sed -e "$ac_comsub
1481 s%@configure_input@%$configure_input%g
1482 s%@srcdir@%$srcdir%g
1483 s%@top_srcdir@%$top_srcdir%g
1484 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1485 fi; done
1486 rm -f conftest.s*
1487
1488 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1489 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1490 #
1491 # ac_d sets the value in "#define NAME VALUE" lines.
1492 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1493 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1494 ac_dC='\3'
1495 ac_dD='%g'
1496 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1497 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1498 ac_uB='\([ ]\)%\1#\2define\3'
1499 ac_uC=' '
1500 ac_uD='\4%g'
1501 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1502 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1503 ac_eB='$%\1#\2define\3'
1504 ac_eC=' '
1505 ac_eD='%g'
1506
1507 if test "${CONFIG_HEADERS+set}" != set; then
1508 EOF
1509 cat >> $CONFIG_STATUS <<EOF
1510 CONFIG_HEADERS="config.h"
1511 EOF
1512 cat >> $CONFIG_STATUS <<\EOF
1513 fi
1514 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1515 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1516 case "$ac_file" in
1517 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1518 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1519 *) ac_file_in="${ac_file}.in" ;;
1520 esac
1521
1522 echo creating $ac_file
1523
1524 rm -f conftest.frag conftest.in conftest.out
1525 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1526 cat $ac_file_inputs > conftest.in
1527
1528 EOF
1529
1530 # Transform confdefs.h into a sed script conftest.vals that substitutes
1531 # the proper values into config.h.in to produce config.h. And first:
1532 # Protect against being on the right side of a sed subst in config.status.
1533 # Protect against being in an unquoted here document in config.status.
1534 rm -f conftest.vals
1535 cat > conftest.hdr <<\EOF
1536 s/[\\&%]/\\&/g
1537 s%[\\$`]%\\&%g
1538 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1539 s%ac_d%ac_u%gp
1540 s%ac_u%ac_e%gp
1541 EOF
1542 sed -n -f conftest.hdr confdefs.h > conftest.vals
1543 rm -f conftest.hdr
1544
1545 # This sed command replaces #undef with comments. This is necessary, for
1546 # example, in the case of _POSIX_SOURCE, which is predefined and required
1547 # on some systems where configure will not decide to define it.
1548 cat >> conftest.vals <<\EOF
1549 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1550 EOF
1551
1552 # Break up conftest.vals because some shells have a limit on
1553 # the size of here documents, and old seds have small limits too.
1554
1555 rm -f conftest.tail
1556 while :
1557 do
1558 ac_lines=`grep -c . conftest.vals`
1559 # grep -c gives empty output for an empty file on some AIX systems.
1560 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1561 # Write a limited-size here document to conftest.frag.
1562 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1563 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1564 echo 'CEOF
1565 sed -f conftest.frag conftest.in > conftest.out
1566 rm -f conftest.in
1567 mv conftest.out conftest.in
1568 ' >> $CONFIG_STATUS
1569 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1570 rm -f conftest.vals
1571 mv conftest.tail conftest.vals
1572 done
1573 rm -f conftest.vals
1574
1575 cat >> $CONFIG_STATUS <<\EOF
1576 rm -f conftest.frag conftest.h
1577 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1578 cat conftest.in >> conftest.h
1579 rm -f conftest.in
1580 if cmp -s $ac_file conftest.h 2>/dev/null; then
1581 echo "$ac_file is unchanged"
1582 rm -f conftest.h
1583 else
1584 # Remove last slash and all that follows it. Not all systems have dirname.
1585 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1586 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1587 # The file is in a subdirectory.
1588 test ! -d "$ac_dir" && mkdir "$ac_dir"
1589 fi
1590 rm -f $ac_file
1591 mv conftest.h $ac_file
1592 fi
1593 fi; done
1594
1595 EOF
1596 cat >> $CONFIG_STATUS <<EOF
1597
1598 EOF
1599 cat >> $CONFIG_STATUS <<\EOF
1600
1601 exit 0
1602 EOF
1603 chmod +x $CONFIG_STATUS
1604 rm -fr confdefs* $ac_clean_files
1605 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1606
1607
1608 echo "Configure done. Run 'make' to build CvsGraph"
1609

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0